> ## Documentation Index
> Fetch the complete documentation index at: https://terminal49.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a custom field

> Delete a custom field value record from the Terminal49 API. The custom field definition is preserved for use on other shipments and containers.

Use this endpoint to delete a custom field value from a shipment or container.

## Path parameters

| Parameter | Description                                               |
| --------- | --------------------------------------------------------- |
| `id`      | The unique identifier of the custom field value to delete |

## Behavior

* The custom field value is removed from the associated entity
* Deleting a custom field value does not affect the underlying custom field definition


## OpenAPI

````yaml delete /custom_fields/{id}
openapi: 3.0.0
info:
  title: Terminal49 API Reference
  version: 0.2.0
  contact:
    name: Terminal49 API support
    url: https://www.terminal49.com
    email: support@terminal49.com
  description: >-
    The Terminal 49 API offers a convenient way to programmatically track your
    shipments from origin to destination.


    Please enter your API key into the "Variables" tab before using these
    endpoints within Postman.
  x-label: Beta
  termsOfService: https://www.terminal49.com/terms
servers:
  - url: https://api.terminal49.com/v2
    description: Production
security:
  - authorization: []
tags:
  - name: Containers
  - name: Custom Field Definitions
  - name: Custom Field Options
  - name: Custom Fields
  - name: Shipments
  - name: Locations
  - name: Events
  - name: Tracking Requests
  - name: Webhooks
  - name: Webhook Notifications
  - name: Ports
  - name: Metro Areas
  - name: Terminals
  - name: Routing (Paid)
  - name: Documents
  - name: Email Submissions
  - name: Document Schemas
  - name: Search
paths:
  /custom_fields/{id}:
    parameters:
      - schema:
          type: string
        name: id
        in: path
        required: true
        description: Custom field ID
    delete:
      tags:
        - Custom Fields
      summary: Delete a custom field
      operationId: delete-custom-fields-id
      responses:
        '200':
          description: OK
components:
  securitySchemes:
    authorization:
      name: Authorization
      type: apiKey
      in: header
      description: >-
        Use a Terminal49 API key in the `Authorization` header with the `Token`
        prefix.


        `Authorization: Token YOUR_API_KEY`

````